org.deidentifier.arx.gui.view.impl.utility

## Enum LayoutUtility.ViewUtilityType

- java.lang.Object
- - java.lang.Enum<LayoutUtility.ViewUtilityType>
  - - org.deidentifier.arx.gui.view.impl.utility.LayoutUtility.ViewUtilityType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LayoutUtility.ViewUtilityType>

Enclosing class:
  LayoutUtility

    public static enum LayoutUtility.ViewUtilityType
    extends java.lang.Enum<LayoutUtility.ViewUtilityType>

Type of view which is displayed

Author:
  Fabian Prasser

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLASSIFICATION`
`CLASSIFICATION_PRECISION_RECALL`
`CONTINGENCY`
`CONTINGENCY_TABLE`
`DATA`
`EQUIVALENCE_CLASSES`
`HISTOGRAM`
`HISTOGRAM_TABLE`
`LOCAL_RECODING`
`PROPERTIES`
`QUALITY_MODELS`
`SUMMARY`

### Method Summary

All Methods Static Methods Concrete Methods
`static LayoutUtility.ViewUtilityType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LayoutUtility.ViewUtilityType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CLASSIFICATION

    public static final LayoutUtility.ViewUtilityType CLASSIFICATION

#### CLASSIFICATION_PRECISION_RECALL

    public static final LayoutUtility.ViewUtilityType CLASSIFICATION_PRECISION_RECALL

#### DATA

    public static final LayoutUtility.ViewUtilityType DATA

#### CONTINGENCY

    public static final LayoutUtility.ViewUtilityType CONTINGENCY

#### CONTINGENCY_TABLE

    public static final LayoutUtility.ViewUtilityType CONTINGENCY_TABLE

#### HISTOGRAM

    public static final LayoutUtility.ViewUtilityType HISTOGRAM

#### HISTOGRAM_TABLE

    public static final LayoutUtility.ViewUtilityType HISTOGRAM_TABLE

#### EQUIVALENCE_CLASSES

    public static final LayoutUtility.ViewUtilityType EQUIVALENCE_CLASSES

#### SUMMARY

    public static final LayoutUtility.ViewUtilityType SUMMARY

#### PROPERTIES

    public static final LayoutUtility.ViewUtilityType PROPERTIES

#### LOCAL_RECODING

    public static final LayoutUtility.ViewUtilityType LOCAL_RECODING

#### QUALITY_MODELS

    public static final LayoutUtility.ViewUtilityType QUALITY_MODELS

### Method Detail

#### values

    public static LayoutUtility.ViewUtilityType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LayoutUtility.ViewUtilityType c : LayoutUtility.ViewUtilityType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LayoutUtility.ViewUtilityType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null